

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/ll_rw_blk.c |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

diff -puN drivers/block/ll_rw_blk.c~disk-barrier-core-tweaks drivers/block/ll_rw_blk.c
--- 25/drivers/block/ll_rw_blk.c~disk-barrier-core-tweaks	2004-05-27 02:09:11.161402120 -0700
+++ 25-akpm/drivers/block/ll_rw_blk.c	2004-05-27 02:09:11.167401208 -0700
@@ -285,7 +285,7 @@ void blk_queue_ordered(request_queue_t *
 EXPORT_SYMBOL(blk_queue_ordered);
 
 /**
- * blk_queue_ordered - set function for issuing a flush
+ * blk_queue_issue_flush_fn - set function for issuing a flush
  * @q:     the request queue
  * @iff:   the function to be called issuing the flush
  *
@@ -1928,16 +1928,14 @@ int blk_execute_rq(request_queue_t *q, s
 EXPORT_SYMBOL(blk_execute_rq);
 
 /**
- * blk_issue_flush - queue a flush
+ * blkdev_issue_flush - queue a flush
  * @bdev:	blockdev to issue flush for
  * @error_sector:	error sector
- * @wait:	completion event
  *
  * Description:
  *    Issue a flush for the block device in question. Caller can supply
  *    room for storing the error offset in case of a flush error, if they
- *    wish to. Passing in @wait makes the interface async, caller must
- *    wait_for_completion() on its own.
+ *    wish to.  Caller must run wait_for_completion() on its own.
  */
 int blkdev_issue_flush(struct block_device *bdev, sector_t *error_sector)
 {
_
